| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::GenericCapabilityFilter Class Reference
Utililty classes

The GenericCapabilityFilter class provides a generic filter object to be used to filter objects by capabilities. More...

`#include <TelepathyQt/GenericCapabilityFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~GenericCapabilityFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- RequestableChannelClassSpecList filter () const
- void addRequestableChannelClassSubset (const RequestableChannelClassSpec &rccSpec)
- void setRequestableChannelClassesSubset (const RequestableChannelClassSpecList &rccSpecs)

## Static Public Member Functions

- static SharedPtr
  < GenericCapabilityFilter< T > > create (const RequestableChannelClassSpecList &rccSpecs=RequestableChannelClassSpecList())

## Detailed Description

The GenericCapabilityFilter class provides a generic filter object to be used to filter objects by capabilities.

The objects used in conjunction with this filter must implement a method called capabilities() returning a CapabilitiesBase (or a subclass of it) instance. Specialized classes such as AccountCapabilityFilter are also provided and should be used where appropriate.

## Constructor & Destructor Documentation

virtual Tp::GenericCapabilityFilter::~GenericCapabilityFilter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

static SharedPtr<GenericCapabilityFilter<T> > Tp::GenericCapabilityFilter::create | ( | const RequestableChannelClassSpecList & | rccSpecs = `RequestableChannelClassSpecList()` | ) | `[inline, static]`

virtual bool Tp::GenericCapabilityFilter::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

virtual bool Tp::GenericCapabilityFilter::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

RequestableChannelClassSpecList Tp::GenericCapabilityFilter::filter | ( |  | ) | const`[inline]`

void Tp::GenericCapabilityFilter::addRequestableChannelClassSubset | ( | const RequestableChannelClassSpec & | rccSpec | ) | `[inline]`

void Tp::GenericCapabilityFilter::setRequestableChannelClassesSubset | ( | const RequestableChannelClassSpecList & | rccSpecs | ) | `[inline]`